org.wildfly.swarm.spi.api

## Interface Fraction<T extends Fraction>

- All Known Implementing Classes:
    AsciidoctorJFraction, BatchFraction, BeanValidationFraction, CamelFraction, CassandraFraction, CDIConfigFraction, CDIFraction, CDIJAXRSFraction, ConnectorFraction, ConsulTopologyFraction, DatasourcesFraction, EclipseLinkPersistenceFraction, EEFraction, EJBFraction, ElytronFraction, FluentdFraction, FlywayFraction, HealthFraction, HystrixFraction, InfinispanFraction, IOFraction, JaegerFraction, JavaFXFraction, JAXRSFraction, JCAFraction, JdrFraction, JGroupsFraction, JGroupsTopologyFraction, JMXFraction, JolokiaFraction, JPAFraction, JPASpatialFraction, JSFFraction, KeycloakFraction, KeycloakServerFraction, LoggingFraction, LogstashFraction, MailFraction, ManagementConsoleFraction, ManagementFraction, MessagingFraction, MicroProfileConfigFraction, MicroProfileFaultToleranceFraction, MicroProfileJWTAuthFraction, MicroprofileMetricsFraction, MicroprofileOpenApiFraction, ModclusterFraction, MongoDBFraction, MonitorFraction, MSCFraction, NamingFraction, Neo4jFraction, ODataFraction, OpenTracingFraction, OrientDBFraction, RemotingFraction, RequestControllerFraction, ResourceAdapterFraction, RestClientFraction, RibbonFraction, RibbonSecuredClientFraction, RibbonSecuredFraction, ScannerFraction, SecurityFraction, SpringFraction, SwaggerFraction, SwaggerWebAppFraction, TeiidFraction, TopologyFraction, TopologyWebAppFraction, TransactionsFraction, UndertowFraction, VertxFraction, WebServicesFraction, ZipkinFraction

      public interface Fraction<T extends Fraction>

  Root of a tree of configuration for a particular subset of functionality.

  While each portion of functionality is called a "fraction", this class maps to the configuration there-of. It should be implemented to include whatever configuration is appropriate for the subset of functionality.

  In the event a logical "fraction" requires no configuration, a subclass of this class is not required.

  For functionality coming in through WildFly, the implementation is a sub-class of the matching WildFly subsystem configuration tree from the `wildfly-config-api` project.

  Author:
    Bob McWhirter

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `default T` | `applyDefaults(boolean hasConfiguration)`

- - ### Method Detail

    - #### applyDefaults

          default T applyDefaults()

      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Returns:
        this fraction.

    - #### applyDefaults

          default T applyDefaults(boolean hasConfiguration)

Copyright © 2018 JBoss by Red Hat. All rights reserved.